Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class HelpAction

    java.lang.Object
      org.ka2ddo.yaac.gui.HelpAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class HelpAction

extends java.lang.Object
implements java.awt.event.ActionListener

This class implements the basic functionality for launching help from a Help button.

Constructor Summary
`HelpAction(HasHelpTag tagProvider)` Create a Help ActionListener for a dynamic help tag.
`HelpAction(java.lang.String helpTag)` Create a Help ActionListener for a particular static help tag.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Respond when the Help button is pushed.
`static javax.swing.JButton` | `createHelpButton(HasHelpTag tagProvider)` Create a JButton for launching help.
`static javax.swing.JButton` | `createHelpButton(java.lang.String helpTag)` Create a JButton for launching help.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelpAction

    public HelpAction(java.lang.String helpTag)

  Create a Help ActionListener for a particular static help tag.

  Parameters:
    `helpTag` - String of help tag

### HelpAction

    public HelpAction(HasHelpTag tagProvider)

  Create a Help ActionListener for a dynamic help tag.

  Parameters:
    `tagProvider` - HasHelpTag implementer providing the help tag

Method Detail

### createHelpButton

    public static javax.swing.JButton createHelpButton(java.lang.String helpTag)

  Create a JButton for launching help.

  Parameters:
    `helpTag` - help tag String for launched help
  Returns:
    a JButton that could launch the help dialog

### createHelpButton

    public static javax.swing.JButton createHelpButton(HasHelpTag tagProvider)

  Create a JButton for launching help.

  Parameters:
    `tagProvider` - HasHelpTag implementer that provides a dynamic tag value
  Returns:
    a JButton that could launch the help dialog

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Respond when the Help button is pushed.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - ActionEvent identifying the help button

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD